<?php
define('THEME_NAME','Video Theme');
define('THEME_FOLDER','_video');
define('THEME_KEY','vt');
 
$CORE_VIDEO	= new video_theme;
class video_theme  {

	function __construct(){ global $CORE;
 	
 
		// REGISTER TAXONOMIES	
		$tax = array("level","features"); //,"area","language","subtitles","type","year"
		
		foreach($tax as $t){
		
			register_taxonomy( $t, THEME_TAXONOMY.'_type', array( 'hierarchical' => true, 'labels' => array('name' => $t) , 
			'query_var' => true, 'rewrite' => true, 'rewrite' => array('slug' => $t) ) ); 
			
		}	
		
		// USER END FIELDS
		add_action('hook_add_fieldlist',  array($this, '_hook_customfields' ) );
		
		// SHORTCODES			
		add_shortcode( 'LEVEL',  array($this, 'shortcode_level' ) );
   		add_shortcode( 'ACCESSLEVEL',  array($this, 'shortcode_accesslevel' ) );
		add_shortcode( 'DURATION',  array($this, 'shortcode_duration' ) );
		 
		add_shortcode( 'SUCCESSRATE', array($this, 'shortcode_successrate' ) );	
	 
		// ADD ON TIMEOUT FEATURE FOR VIDEOS
		add_filter('single_template', array($this,	'handle_post_type_template') );	
	} 
	
	
 	function shortcode_accesslevel( $atts, $content = null ) {
	
	return "all";
	}	
	
	function shortcode_duration( $atts, $content = null ) {
		
		global $post;
	
		$time = get_post_meta($post->ID,'time',true);
		
		if(is_numeric($time)){ 
		 
			$g = explode("-", gmdate("H-i-s", $time) );
			
			$f = "";
			if($g[0] != 0){
			$f .= $g[0]. "hrs ";
			}
			$f .= $g[1]. "m ";
			$f .= $g[2]. "s";		
			
			return "<i class='fal fa-clock'></i> ".$f;
		
		}else{ 		
			return $time; 		
		} 
			 
		
	}	
	
	
	function shortcode_level( $atts, $content = null ) {
	
	extract( shortcode_atts( array( 'btn' => false, 'limit' => 5, "pid" => ""  ), $atts ) ); global $post, $CORE; $rtxt  = "";
		  
		if(isset($post->ID)){
		$pid = $post->ID;
		}
		
		if(in_array(_ppt(array('lst', 'vt_levels')), array("","1"))){ }else{ return ""; }
		
		
		$levels = wp_get_post_terms( $pid, "level", array( 'orderby' => 'count', 'order' =>'desc' ) );
		
		if(is_array($levels) && !empty($levels)){		
				
				foreach($levels  as $level){
				
				 $caticon = "";
				/*if(isset($level->term_id) && _ppt('category_icon_small_'.$level->term_id) != ""   ){
                        $caticon = "<i class='fa ".str_replace("&", "&amp;",_ppt('category_icon_small_'.$level->term_id))." mr-2' ></i>";
                 }*/
						
				
				$txt = $CORE->GEO("translation_tax", array($level->term_id, $level->name));  
				$color = "span-green";				
				
					if($btn){		
					$rtxt .= ' <div class="btn btn-system btn-sm '.$color.'">'.$caticon.' '.$txt.'</div>';			
					}else{			
					$rtxt .=  $txt;
					}
				
				}
				
		}else{
		
				$txt =  __("All Levels","premiumpress");
				$color = "span-green";
				
				if($btn){		
					$rtxt .= ' <div class="btn btn-system btn-sm '.$color.'">'.$txt.'</div>';			
				}else{			
					$rtxt .=  $txt;
				}
		
		}
		
		
		
		return $rtxt;
		 
		 
		 
	}
	
	
	
function shortcode_successrate( $atts, $content = null  ){ global $CORE, $post;

	// RATINGS
	$up 	= get_post_meta($post->ID, 'ratingup', true);
	$down 	= get_post_meta($post->ID, 'ratingdown', true);
	$total 	= get_post_meta($post->ID, 'rating_total', true);
	
	// DEFAULT
	if($up == "" && $down == ""){
	return 100;
	}
	
	// CUSTOM
	if($up == ""){ 	
	return 0; // 0% COZ NO UP
	}
	if($down == ""){ 	
	return 100; // COZ NO BAD
	}	
	 
	$percent = number_format( $up/$total * 100, 0 );
	
	return $percent;
}
 
	
	
	
	
	
 
	/*
		this function adds new fields
		to the submission form
	*/
	function _hook_customfields($c){ global $CORE;

		$o = 50;
		if(is_admin()){
			$c[$o]['title'] 	= __("Video Duration","premiumpress");
			$c[$o]['help'] 		= __("Please enter the amount in seconds.","premiumpress");
			$c[$o]['name'] 		= "time";
			$c[$o]['type'] 		= "text";
			$c[$o]['class'] 	= "form-control";
			$c[$o]['defaultvalue'] 	= "60";
			//$c[$o]['required'] 	= true;
			$o++;	 
		}
		
		return $c;
		
	}
	
 	
	
	
	 
function handle_post_type_template($single_template) { global $post, $CORE, $CORE_VIDEO;
 
 
	if ($post->post_type == THEME_TAXONOMY."_type") {	

		/// CHECK FOR TIMEOUT ACCESS
		
		if($CORE->USER("hasaccess_special_vdeoaccess", $post->ID) == "1"){ 
		
		}elseif(_ppt(array('lst', 'videopreview_enable')) == 1 && is_numeric(_ppt(array('lst', 'videopreview_seconds'))) ){ 
		
		
			$time = _ppt(array('lst', 'videopreview_seconds'));
			
			// CHECK MEMBERSHIP ACCESS
			if(isset($time) && is_numeric($time) ){
			
				// HOOK META AND REDIRECT	 
				add_action('wp_footer',array($this, 'rrddff'));
		
			}// end if	
				
		} // end else
	
	} 
	
	return $single_template;
}


function rrddff(){ 

?>
<script>





       
</script>
<?php }	

}

?>